Bullet Collision Detection & Physics Library: btBoxBoxDetector Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
btBoxBoxDetector Struct Reference

btBoxBoxDetector wraps the ODE box-box collision detector re-distributed under the Zlib license with permission from Russell L. More...

`#include <btBoxBoxDetector.h>`

Inheritance diagram for btBoxBoxDetector:
[legend]
Collaboration diagram for btBoxBoxDetector:
[legend]

## Public Member Functions
| btBoxBoxDetector (const btBoxShape *box1, const btBoxShape *box2)
| ODE box-box collision detection is adapted to work with Bullet.
virtual | ~btBoxBoxDetector ()
virtual void | getClosestPoints (const ClosestPointInput &input, Result &output, class btIDebugDraw *debugDraw, bool swapResults=false)
Public Member Functions inherited from btDiscreteCollisionDetectorInterface
virtual | ~btDiscreteCollisionDetectorInterface ()
virtual void | getClosestPoints (const ClosestPointInput &input, Result &output, class btIDebugDraw *debugDraw, bool swapResults=false)=0

## Public Attributes
const btBoxShape * | m_box1
const btBoxShape * | m_box2

## Detailed Description

btBoxBoxDetector wraps the ODE box-box collision detector re-distributed under the Zlib license with permission from Russell L.

Smith

Definition at line 27 of file btBoxBoxDetector.h.

## Constructor & Destructor Documentation

## ◆ btBoxBoxDetector()

btBoxBoxDetector::btBoxBoxDetector | ( | const btBoxShape * | box1,
|  | const btBoxShape * | box2
| ) |  |

ODE box-box collision detection is adapted to work with Bullet.

Definition at line 27 of file btBoxBoxDetector.cpp.

## ◆ ~btBoxBoxDetector()

virtual btBoxBoxDetector::~btBoxBoxDetector | ( |  | ) |
| inlinevirtual

Definition at line 35 of file btBoxBoxDetector.h.

## Member Function Documentation

## ◆ getClosestPoints()

void btBoxBoxDetector::getClosestPoints | ( | const ClosestPointInput & | input,
|  | Result & | output,
|  | class btIDebugDraw * | debugDraw,
|  | bool | swapResults = `false`
| ) |  |
| virtual

Implements btDiscreteCollisionDetectorInterface.

Definition at line 730 of file btBoxBoxDetector.cpp.

## Member Data Documentation

## ◆ m_box1

const btBoxShape* btBoxBoxDetector::m_box1

Definition at line 29 of file btBoxBoxDetector.h.

## ◆ m_box2

const btBoxShape* btBoxBoxDetector::m_box2

Definition at line 30 of file btBoxBoxDetector.h.

The documentation for this struct was generated from the following files:

- btBoxBoxDetector.h
- btBoxBoxDetector.cpp